/// Bibliotheken einbinden ///

	#include <avr/interrupt.h>													// Beinhaltet z.B. Interrupt-Vektoren
	#include <stdlib.h> 														// Beinhaltet z.B. ITOA und uart_puts(Pointer)
	#include <util/delay.h>														// Fr delay-Funktion
	#include <i2cmaster.h>


/// MHz einstellen ///

	#ifndef F_CPU
	#define F_CPU 4000000UL   
	#endif


/// UART einstellen ///

	#define UART_BAUD_RATE      19200


/// Ports einstellen ///



	

/// Slaveadresse ///

//	#define MEMS3			0x3A
	#define MEMS3			0xA6


/// Variablen einbinden ///
	
	volatile unsigned int 	timer=0,   											// fr 10 ms Takt bei 1.8432 MHz
							c;										// fr Einlesen und Auswerten der an den Sender geschickten Daten
							
	char 					buffer[16],
							i2c_buffer[80];

	

/// Funktionen deklarieren ///



	// stehen in Main.c
		void mems3_init(void);
		void adxl345_auslesen(void);
		void wert_senden(int adc, unsigned int i);

/// externe Dateien einbinden ///

//	#include "twimaster.c"
	#include "uart.c"						//UART Funktionen
