
#include <avr/io.h>

#define F_CPU 8000000 // Clock Speed


void USART_Init( unsigned int ubrr)
//void USART_Init( unsigned int BaudRate)
{

//int ubrr = (F_CPU/16/BaudRate - 1);

/*Set baud rate */
UBRR0H = (unsigned char)(ubrr>>8);
UBRR0L = (unsigned char)ubrr;
/*Enable receiver and transmitter */
UCSR0B = (1<<RXEN0)|(1<<TXEN0);
/* Set frame format: 8data, 2stop bit */
UCSR0C = (1<<USBS0)|(3<<UCSZ00);             

//PORTD |= (1 << PD3); 

}


void USART_Transmit(unsigned char data [7] )
{



/* Wait for empty transmit buffer */
while ( !( UCSR0A & (1<<UDRE0)) )
;
/* Put data into buffer, sends the data */
UDR0 = data;


}









unsigned char USART_Receive( void )
{
/* Wait for data to be received */
while ( !(UCSR0A & (1<<RXC0)) )
;
/* Get and return received data from buffer */
return UDR0;
}





